summaryrefslogtreecommitdiffstats
path: root/libraries/2geom
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/2geom')
-rw-r--r--libraries/2geom/2geom.SlackBuild106
-rw-r--r--libraries/2geom/2geom.info10
-rw-r--r--libraries/2geom/README14
-rw-r--r--libraries/2geom/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/libraries/2geom/2geom.SlackBuild b/libraries/2geom/2geom.SlackBuild
new file mode 100644
index 0000000000..7a63cb3ffc
--- /dev/null
+++ b/libraries/2geom/2geom.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Copyright 2023 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=2geom
+VERSION=${VERSION:-1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/lib$PRGNAM-$VERSION.tar.gz
+mv lib$PRGNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -D2GEOM_BUILD_SHARED=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.md COPYING-LGPL-2.1 COPYING-MPL-1.1 HACKING.md LICENSE.md NEWS.md \
+ README.md README.win32.md RELEASING.md TODO.md doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/2geom/2geom.info b/libraries/2geom/2geom.info
new file mode 100644
index 0000000000..ccfe48d462
--- /dev/null
+++ b/libraries/2geom/2geom.info
@@ -0,0 +1,10 @@
+PRGNAM="2geom"
+VERSION="1.3"
+HOMEPAGE="https://gitlab.com/inkscape/lib2geom/"
+DOWNLOAD="https://gitlab.com/inkscape/lib2geom/-/archive/1.3/lib2geom-1.3.tar.gz"
+MD5SUM="4240576fcb2802bd9bc6cd5f15b007c7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtest double-conversion"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/libraries/2geom/README b/libraries/2geom/README
new file mode 100644
index 0000000000..a4a35836b9
--- /dev/null
+++ b/libraries/2geom/README
@@ -0,0 +1,14 @@
+2Geom is a C++ 2D geometry library geared towards robust processing
+of computational geometry data associated with vector graphics. The
+primary design consideration is ease of use and clarity. It is dual
+licensed under LGPL 2.1 and MPL 1.1.
+
+The library is descended from a set of geometric routines present in
+Inkscape, a vector graphics editor based around the Scalable Vector
+Graphics format, the most widespread vector graphics interchange for-
+mat on the Web and a W3C Recommendation. Due to this legacy, not all
+parts of the API form a coherent whole (yet).
+
+Rendering is outside the scope of this library, and it is assumed
+something like libcairo or similar is employed for this. 2geom
+concentrates on higher level algorithms and geometric computations.
diff --git a/libraries/2geom/slack-desc b/libraries/2geom/slack-desc
new file mode 100644
index 0000000000..2596cd3554
--- /dev/null
+++ b/libraries/2geom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+2geom: 2geom (easy 2D graphics library)
+2geom:
+2geom: 2Geom is a C++ 2D geometry library geared towards robust processing
+2geom: of computational geometry data associated with vector graphics. The
+2geom: primary design consideration is ease of use and clarity.
+2geom:
+2geom:
+2geom:
+2geom:
+2geom:
+2geom: